Lavalite package that provides shopee_ali management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `mandos.tech/shopee_ali`.

    "mandos.tech/shopee_ali": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Mandos.tech\ShopeeAli\Providers\ShopeeAliServiceProvider::class,

And also add it to alias

    'ShopeeAli'  => Mandos.tech\ShopeeAli\Facades\ShopeeAli::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Mandos.tech\\ShopeeAliTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Mandos.tech\ShopeeAli\Providers\ShopeeAliServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Mandos.tech\ShopeeAli\Providers\ShopeeAliServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Mandos.tech\ShopeeAli\Providers\ShopeeAliServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/shopee_ali/{modulename}

**User**

    http://path-to-route-folder/user/shopee_ali/{modulename}

**Public**

    http://path-to-route-folder/shopee_alis


### API endpoints

**List**

    http://path-to-route-folder/api/user/shopee_ali/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/shopee_ali/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/shopee_ali/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/shopee_ali/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/shopee_ali/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/shopee_ali/{modulename}/{slug}
    METHOD: GET